<template>
  <el-card :header="head">
    <avue-data-display :option="option"></avue-data-display>
  </el-card>
</template>

<script>
  export default {
    props: {
      head: {},
      data: {
        todayIn:{},
        todayOut:{},
        historyIn:{},
        historyOut:{}
      }
    },
    data() {
      return {
        option: {
          span: 6,
          data: [{
              click: function() {

              },
              count: 100,
              decimals: 2,
              title: '今日提现',

            },
            {
              click: function() {

              },
              count: 100,
              decimals: 2,
              title: '历史提现',

            },
            {
              click: function() {

              },
              count: 100,
              decimals: 2,
              title: '今日收入',

            },
            {
              click: function() {},
              count: 100,
              decimals: 2,
              title: '历史收入',

            }
          ]
        },
      }
    },
    mounted() {
        this.option.data[0].count = this.data.todayOut;
        this.option.data[1].count = this.data.historyOut;
        this.option.data[2].count = this.data.todayIn;
        this.option.data[3].count = this.data.historyIn;

    }
  }
</script>

<style>
</style>
